[youtubei.js](../README.md) / OAuth2AuthEventHandler

# Type Alias: OAuth2AuthEventHandler()

> **OAuth2AuthEventHandler** = (`data`) => `void`

Defined in: [src/core/OAuth2.ts:31](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/core/OAuth2.ts#L31)

## Parameters

### data

#### credentials

[`OAuth2Tokens`](OAuth2Tokens.md)

## Returns

`void`
